// .pf1/.pf1alt
.actor.sheet {
	.tab.spellbook {
		.item[data-item-id] {
			position: relative;

			.lil-tooltip {
				position: fixed;

				border: 2px solid var(--lil-tooltip-border); // greenyellow;
				background-color: var(--lil-tooltip-bg);
				color: var(--lil-tooltip-text);

				// + arbitrary offset
				top: calc(calc(var(--p-top) - var(--height) - 6) * 1px);

				//max-width: calc(var(--p-width) * 1px);

				border-bottom-left-radius: 0;
				border-bottom-right-radius: 0;

				&:not(.right-aligned) {
					left: calc(calc(var(--mx) - 4) * 1px);
					//left: calc(calc(var(--act-l) + 4) * 1px);
				}

				&.right-aligned {
					left: calc(calc(var(--mx) - var(--width)) * 1px);
					//left: calc(calc(var(--mx) - var(--width) + 4) * 1px);
					//right: calc(100% - var(--p-right) * 1px);
				}

				text-shadow: none;

				// Layout
				> ul {
					display: grid;
					grid-template-columns: 1fr min-content;
					gap: 0.3em;

					padding: 0;
					margin: 0;
					list-style: none;

					> li {
						display: contents;
						border-style: none;
					}
				}

				.span-2 {
					grid-column: span 2;
				}

				.warning {
					color: coral;
					background-color: unset;
					border: unset;
				}

				.name {
					margin: 0;
					padding: 0;
				}

				.name,
				label,
				span {
					white-space: nowrap;
				}

				.value {
					color: gold;
					text-align: right;
				}

				.composite {
					&.save,
					&.material,
					&.range {
						justify-self: right;
					}

					&.range .measured,
					&.school .subschool,
					&.school .descriptors,
					&.material .cost {
						margin: 0 2px;
					}

					&.material {
						.cost {
							color: goldenrod;
						}
					}

					&.school {
						.subschool,
						.descriptors {
							color: goldenrod;
						}
					}
				}

				.inline-roll {
					background: #66625e;
					color: #e7cbcb;
					border-radius: 1rem;

					i.fa-dice-d20 {
						color: lightgray;
					}
				}
			}
		}
	}
}
